const spec = (data, width, height) => ({
      "$schema": "https://vega.github.io/schema/vega-lite/v2.json",
      "width": width * 0.95 - 100,
      "height": height / 7 - 20,
      "data": {
          "values": data
      },
      "mark": "area",
      "encoding": {
          "x": {
              "field": "timestamp",
              "type": "temporal",
              "axis": {
                  "title": "时间",
                  "grid": false
              }
          },
          "y": {
              "field": "AQI",
              "type": "quantitative",
              "axis": {
                  "title": "AQI",
                  "grid": false
              }
         },
          "color": {
              "field": "city",
              "type": "nominal",
              "legend": null
          },
          "row": {
              "field": "city",
              "type": "nominal",
              "header": {"title": "省/直辖市"}
          }
      }
    });
    
    var opts = {
      actions: {
        export: false,
        source: false,
        editor: false
      },
      renderer: 'svg'
    };
    
    d3.csv('AQI_2015.csv', data => {
      const render = () => {
        const width = document.body.clientWidth;
        const height = document.body.clientHeight;
        vegaEmbed('body', spec(data, width, height), opts);
      }
      render();
      window.addEventListener('resize', rend