import { stackedAreaChart } from './stackedAreaChart';

const svg = d3.select(document.body).append('svg');

var parseRow = d => {
  d.month = new Date(d.month);
  return d;
};

d3.csv('AQI_2015_total.csv', parseRow, data => {
  const render = () => {
    const width = document.body.clientWidth;
    const height = document.body.clientHeight;
    
    svg.attr('width', width).attr('height', height);
    
    let g = svg.selectAll('g').data([null]);
    g = g.enter().append('g').merge(g);
    
    stackedAreaChart(g, {
      data,
      keys: ["Beijing", "Tianjing", "Shanghai", "Guangzhou"],
      width,
      height,
      xValue: d => d.month,
      colorScale: d3.scaleOrdinal(d3.schemeDark2),
      margin: { top: 100, right: 100, bottom: 40, left: 100 },
      yAxisTitle: 'AQI',
      yAxisTitleOffset: -40
    });
  };
  render();
  
  window.addEventListener('resize', render);
});